<?php
/*---------------------------------------------------
				adding reports page
----------------------------------------------------*/
if ( ! function_exists('listingpro_register_reports_page')) {

	function listingpro_register_reports_page() {
		//Get the reported listings
		$reportedLisings = get_option('lp_reported_listings');

		$ReportedLisints = array();
		if (strpos($reportedLisings, ',') !== false) {
			$ReportedLisints = explode(",", $reportedLisings);
		} else {
			$ReportedLisints[] = $reportedLisings;
		}
		$flagcount     = '';
		$listingcount  = '';
		$reviewcount   = '';
		$reports_query = new WP_Query(array(
			'post_type'      => 'listing',
			'post__in'       => $ReportedLisints,
			'post_status'    => 'publish',
			'posts_per_page' => - 1,
		));
		if ($reports_query->have_posts()) {
			while ($reports_query->have_posts()) {
				$reports_query->the_post();
				$reportedCount = listing_get_metabox_by_ID('listing_reported', get_the_ID());
				if ( ! empty($reportedCount)) {
					if ($reportedCount > 0) {
						$listingcount = $reportedCount;
					} else {
						$listingcount = 0;
					}
				}
			}
		}

		//Get the reported reviews
		$reportedLisings = get_option('lp_reported_reviews');
		$ReportedLisints = array();
		if (strpos($reportedLisings, ',') !== false) {
			$ReportedLisints = explode(",", $reportedLisings);
		} else {
			$ReportedLisints[] = $reportedLisings;
		}
		$reports_query = new WP_Query(array(
				'post_type'      => 'lp-reviews',
				'post__in'       => $ReportedLisints,
				'post_status'    => 'publish',
				'posts_per_page' => -1,
			));

		if ($reports_query->have_posts()) {
			while ($reports_query->have_posts()) {
				$reports_query->the_post();
				$reportedCount = listing_get_metabox_by_ID('listing_reported', get_the_ID());
				if ( ! empty($reportedCount)) {
					if ($reportedCount > 0) {
						$reviewcount = $reportedCount;
					} else {
						$reviewcount = 0;
					}
				}
			}
		}

		$have_unread_report = get_option('lp_unread_listing_report');
		if ($have_unread_report > 0) {
			$flagcount = 'Listing Flags ';
			$flagcount .= '<span id="lp_flag_id" class="dot" style="position:relative;top:0px;left:10px;height:10px;width:10px;background-color:red;border-radius:50%;display:inline-block"></span>';
		} else {
			$flagcount = 'Listing Flag';
		}
		add_menu_page(__('Flags', 'listingpro-plugin'), $flagcount, 'manage_options', 'lp-flags', 'listingpro_flags_page', plugins_url('listingpro-plugin/images/flag.png'), 30);
		wp_enqueue_style("panel_style", WP_PLUGIN_URL . "/listingpro-plugin/assets/css/custom-admin-pages.css", false, "1.0", "all");
	}
}
add_action('admin_menu', 'listingpro_register_reports_page');

/* ----------------------include listings reports---------------- */
include_once(WP_PLUGIN_DIR . '/listingpro-plugin/inc/lp-reports/listings-reports.php');

/* ----------------------include reviews reports---------------- */
include_once(WP_PLUGIN_DIR . '/listingpro-plugin/inc/lp-reports/reviews-reports.php');